/* SwapShow by Stunk
This script includes three functions:
showMe(thisID) - Changes the class name of element with id=thisID
to pre-defined visible class (class=showme).

hideMe(thisID) - Changes the class name of element with id=thisID
to pre-defined hidden class (class=hideme).

swapShow(thisID, thisParentID) - Within div id=thisParentID, div
with id=thisID is shown, any other divs are hidden.

The CSS for the pre-defined classes is in swapShow.css. */

/* Copyright (c) 2009, Stunkworks Studios
Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without
restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following
conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE. */

// There should be CSS defined to hide contents within this class:
var myHideClass = "hideme";
// There should be CSS defined to show contents within this class:
var myShowClass = "showme";

function showMe(thisID){
	var myID = document.getElementById(thisID);
	if (myID.className != myShowClass){
		myID.className = myShowClass;
	}
}

function hideMe(thisID){
	var myID = document.getElementById(thisID);
	if (myID.className != myHideClass){
		myID.className = myHideClass;
	}
}

function swapShow(thisID, thisParentID){
	var myDivs = document.getElementsByTagName("div");
	for (i=0; i < myDivs.length; i++){
		if(myDivs[i].parentNode.id == thisParentID) {
			if(myDivs[i].id == thisID) {
				showMe(myDivs[i].id);
			}
			else {
				hideMe(myDivs[i].id);
			}
		}
	}
}
